﻿<!DOCTYPE html>
<html>
<head>
    <meta charset="utf-8" />
    <title>Pregled svih ponuda</title>
    <link href="lib/jqueryui/themes/base/jquery-ui.min.css" rel="stylesheet" type="text/css" />
    <link href="lib/jtable/lib/themes/lightcolor/blue/jtable.min.css" rel="stylesheet" type="text/css" />
</head>
<body>

    <div class="container">
        <div class="row">
            <div class="col-sm-12" id="ponude">

            </div>
        </div>
    </div>

    <script type="text/javascript" src="lib/jquery/jquery.min.js"></script>
    <script type="text/javascript" src="lib/jqueryui/jquery-ui.min.js"></script>
    <script type="text/javascript" src="lib/jtable/lib/jquery.jtable.min.js"></script>
    <script type="text/javascript" src="lib/jtable/lib/localization/jquery.jtable.hr.js"></script>

    <script type="text/javascript">
        $(document).ready(function () {
            $('#ponude').jtable({
                title: 'Popis ponuda',
                paging: true,
                pageSize: 5,
                sorting: true,
                defaultSorting: 'Id DESC',
                actions: {
                    listAction: 'jtable/ponude/getall',
                    createAction: 'jtable/ponude/create',
                    updateAction: 'jtable/ponude/update',
                    deleteAction: 'jtable/ponude/delete'
                },
                fields: {
                    Id: {
                        create: true,
                        key: true,
                        list: true,
                        title: "Id"
                    },
                    ukupnaCijenaPonude: {
                        title: 'Ukupna cijena',
                        width: '20%'
                    },
                    vrstaPonuditelja: {
                        title: 'Vrsta ponuditelja',
                        width: '20%'
                    },
                    tvrtka: {
                        title: 'Tvrtka',
                        width: '30%'
                    },
                    konzorcij: {
                        title: 'Konzorcij',
                        width: '30%',
                    }
                }
            });

            $("#ponude").jtable('load');
        });
    </script>

</body>
</html>